% Burglar alarm example

N = 5;
dag = zeros(N,N);
E = 1; B = 2; R = 3; A = 4; C = 5;
dag(E,[R A]) = 1;
dag(B,A) = 1;
dag(A,C)=1;

% we treat e1 as state 1 and e0 as state 2
ns = 2*ones(1,N); % binary nodes

bnet = mk_bnet(dag, ns);
%bnet.CPD{E} = tabular_CPD(bnet, E, [0.005 0.995]);
bnet.CPD{E} = tabular_CPD(bnet, E, [0.1 0.9]);
bnet.CPD{B} = tabular_CPD(bnet, B, [0.01 0.99]);
bnet.CPD{R} = tabular_CPD(bnet, R, [0.65 0.00001 0.35 0.99999]);
bnet.CPD{A} = tabular_CPD(bnet, A, [0.95 0.8 0.3 0.001 0.05 0.2 0.7 0.999]);
bnet.CPD{C} = tabular_CPD(bnet, C, [0.7 0.05 0.3 0.95]);

nsamples = 100;
samples = zeros(nsamples, 5);
for i=1:nsamples
  samples(i,:) = cell2num(sample_bnet(bnet))';
end
