/* normalize the cell array clpot, in jtree_C_inf_engine*/
/* 2 input, 2 output                                    */
/* clpot                                                */
/* C, the number of cells in clpot                      */
/*                                                      */
/* clpot                                                */
/* loglik                                               */

#include <math.h>
#include "mex.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[]){
    int     i, j, n, C;
    double  sum, sum1;
    double  *pr;
	mxArray *pTemp;
	
    plhs[0] = mxDuplicateArray(prhs[0]);
	C = mxGetNumberOfElements(prhs[0]);
	for(i=0; i<C; i++){
		sum = 0.0;
		pTemp = mxGetCell(plhs[0], i);
		n = mxGetNumberOfElements(pTemp);
		pr = mxGetPr(pTemp);
		for(j=0; j<n; j++){
			sum += pr[j];
		}
		if(sum == 0.0) sum1 = 1.0;
		else sum1 = sum;
		for(j=0; j<n; j++){
			pr[j] /= sum1;
		}
	}
   	plhs[1] = mxCreateDoubleMatrix(1, 1, mxREAL);
    *mxGetPr(plhs[1]) = log(sum);
}
